Skip to main content
`Ctrl`+`K`

# STCheckNullSpace

Tests if constraint vectors are nullspace vectors.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STCheckNullSpace(ST st,BV V)

Collective

## Input Parameters

- st - the spectral transformation context

- V - basis vectors to be checked

## Notes

Given a basis vectors object, this function tests each of its constraint vectors to be a nullspace vector of the coefficient matrix of the associated `KSP` object. All these nullspace vectors are passed to the `KSP` object with `MatSetNullSpace()`.

This function allows handling singular pencils (i.e., when \(A\) and \(B\) share a common nullspace), and solving some problems in which the nullspace is important.

## See Also

ST: Spectral Transformation, `EPSSetDeflationSpace()`, `MatSetNullSpace()`

## Level

developer

## Location

src/sys/classes/st/interface/stsles.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages